RagTime5StructManager Class Reference documentation

Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
RagTime5StructManager Class Reference

basic class used to store RagTime 5/6 structures More...

`#include <RagTime5StructManager.hxx>`

## Classes
struct | DataParser
| virtual class use to parse the unstructured data More...
struct | Field
| a field of RagTime 5/6 structures More...
struct | FieldParser
| virtual class use to parse the field data More...
struct | GObjPropFieldParser
| basic parser to read image/main graphic position properties More...
struct | TabStop
| a tabulation in RagTime 5/6 structures More...
struct | ZoneLink
| a zone link in RagTime 5/6 structures More...

## Public Member Functions
| RagTime5StructManager ()
| constructor More...
| ~RagTime5StructManager ()
| destructor More...
bool | readTypeDefinitions (RagTime5Zone &zone)
| try to read a list of type definition More...
bool | readField (MWAWInputStreamPtr input, long endPos, libmwaw::DebugFile &ascFile, Field &field, long fSz=0)
| try to read a field More...

## Static Public Member Functions
static bool | readCompressedLong (MWAWInputStreamPtr &input, long endPos, long &val)
| try to read a compressed long More...
static bool | readUnicodeString (MWAWInputStreamPtr input, long endPos, librevenge::RVNGString &string)
| try to read a unicode string More...
static bool | readDataIdList (MWAWInputStreamPtr input, int n, std::vector< int > &listIds)
| try to read n data id More...

## Private Member Functions
| RagTime5StructManager (RagTime5StructManager const &orig)=delete
RagTime5StructManager | operator= (RagTime5StructManager const &orig)=delete

## Detailed Description

basic class used to store RagTime 5/6 structures

## Constructor & Destructor Documentation

## ◆ RagTime5StructManager() [1/2]

RagTime5StructManager::RagTime5StructManager | ( |  | ) |

constructor

## ◆ ~RagTime5StructManager()

RagTime5StructManager::~RagTime5StructManager | ( |  | ) |

destructor

## ◆ RagTime5StructManager() [2/2]

RagTime5StructManager::RagTime5StructManager | ( | RagTime5StructManager const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

RagTime5StructManager RagTime5StructManager::operator= | ( | RagTime5StructManager const & | orig | ) |
| privatedelete

## ◆ readCompressedLong()

bool RagTime5StructManager::readCompressedLong | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | long & | val
| ) |  |
| static

try to read a compressed long

Referenced by RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::readCluster(), readField(), RagTime5ClusterManager::readFieldHeader(), and readTypeDefinitions().

## ◆ readDataIdList()

bool RagTime5StructManager::readDataIdList | ( | MWAWInputStreamPtr | input,
|  | int | n,
|  | std::vector< int > & | listIds
| ) |  |
| static

try to read n data id

Referenced by RagTime5GraphInternal::ClustListParser::parseData(), RagTime5ChartInternal::ClustListParser::parseData(), RagTime5ParserInternal::ClustListParser::parseData(), RagTime5PipelineInternal::ClustListParser::parseData(), RagTime5LayoutInternal::ClustListParser::parseData(), RagTime5SpreadsheetInternal::ClustListParser::parseData(), RagTime5TextInternal::ClustListParser::parseData(), RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5LayoutInternal::LayoutCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::RootCParser::parseHeaderZone(), RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5GraphInternal::PictCParser::parseHeaderZone(), RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5PipelineInternal::PipelineCParser::parseZone(), RagTime5LayoutInternal::LayoutCParser::parseZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5ClusterManagerInternal::RootChildCParser::parseZone(), RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5ClusterManagerInternal::StyleCParser::parseZone(), RagTime5LayoutInternal::LayoutCParser::parseZoneBlock(), readField(), and RagTime5ClusterManager::ClusterParser::readLinkHeader().

## ◆ readField()

bool RagTime5StructManager::readField | ( | MWAWInputStreamPtr | input,
|  | long | endPos,
|  | libmwaw::DebugFile & | ascFile,
|  | RagTime5StructManager::Field & | field,
|  | long | fSz = `0`
| ) |  |

try to read a field

## ◆ readTypeDefinitions()

bool RagTime5StructManager::readTypeDefinitions | ( | RagTime5Zone & | zone | ) |

try to read a list of type definition

## ◆ readUnicodeString()

bool RagTime5StructManager::readUnicodeString | ( | MWAWInputStreamPtr | input,
|  | long | endPos,
|  | librevenge::RVNGString & | string
| ) |  |
| static

try to read a unicode string

Referenced by RagTime5ParserInternal::IndexUnicodeParser::parseData(), RagTime5SpreadsheetInternal::ValuesParser::parseData(), and readField().

The documentation for this class was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx